Subject: Re: [ippm] FW: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt

From: <[email-masked]>
Date: Thu, 10 Feb 2022 15:41:56 +0800 (CST)

Hi Tianran,

I have review the new version, LAG performance measurement is a important feature,I think this work is very meaningful. I support it and hope it can evolve forward.

In addition, I have a question below:

   "To support the micro TWAMP session, a new command, Request-TW-Micro-

   Session (TBD2), is defined in this document.  The Request-TW-Micro-

   Session command is based on the TWAMP Request-Session command, and

   uses the message format as described in Section 3.5 of TWAMP [RFC5357]. "

My question is: member links have the same source IP 、destination IP 、source port number, and destination port number, if use the message format as described in Section 3.5 of TWAMP[RFC5357]. How to distinguish member link session of LAG?

郭俊

软件平台南京开发三部/有线研究院/有线产品经营部 

中兴通讯股份有限公司

南京市雨花台区紫荆花路68号南研一期2楼，210012

T: xxxxxxx     M: 18105183663

E: [email-masked]

原始邮件

发件人：TianranZhou
收件人：IETF IPPM WG ([email-masked]);
日 期 ：2022年01月24日 14:23
主 题 ：[ippm] FW: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt

Hi WG,
 
We think this is an useful work on adapting OWAMP/TWAMP in LAG performance measurement.
We updated this draft based on the comments from the meeting discussion and mailing list.
Thanks for all the suggestions.
More reviews and comments are welcome.
 
Cheers,
Tianran
 
-----Original Message-----
From: [email-masked] [mailto:[email-masked]]  
Sent: Monday, January 24, 2022 2:17 PM
To: Greg Mirsky <[email-masked]>; Guo Jun <[email-masked]>; Jun Guo <[email-masked]>; Rakesh Gandhi <[email-masked]>; Tianran Zhou <[email-masked]>; Zhenqiang Li <[email-masked]> 
Subject: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt

A new version of I-D, draft-li-ippm-otwamp-on-lag-02.txt
has been successfully submitted by Tianran Zhou and posted to the IETF repository.
 
Name:        draft-li-ippm-otwamp-on-lag
Revision:    02
Title:        One-way/Two-way Active Measurement Protocol Extensions for Performance Measurement on LAG
Document date:    2022-01-24
Group:        Individual Submission
Pages:        13
URL:            https://www.ietf.org/archive/id/draft-li-ippm-otwamp-on-lag-02.txt
Status:         https://datatracker.ietf.org/doc/draft-li-ippm-otwamp-on-lag/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-li-ippm-otwamp-on-lag
Diff:           https://www.ietf.org/rfcdiff?url2=draft-li-ippm-otwamp-on-lag-02
 
Abstract:
   This document defines extensions to One-way Active Measurement
   Protocol (OWAMP), and Two-way Active Measurement Protocol (TWAMP) to
   implement performance measurement on every member link of a Link
   Aggregation Group (LAG).  Knowing the measured metrics of each member
   link of a LAG enables operators to enforce the performance based
   traffic steering policy across the member links.

The IETF Secretariat

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

---

From: <[email-masked]>
Date: Thu, 10 Feb 2022 16:12:20 +0800 (CST)

I agree with Guo Jun and support its progressing.

Cheers,
Xiao Min
------------------原始邮件------------------
发件人：郭俊10086979
收件人：zhoutianran=[email-masked];
抄送人：[email-masked];
日 期 ：2022年02月10日 15:43
主 题 ：Re: [ippm]  FW: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm

Hi Tianran,

郭俊
软件平台南京开发三部/有线研究院/有线产品经营部
中兴通讯股份有限公司

---

From: Tianran Zhou <[email-masked]>
Date: Thu, 10 Feb 2022 09:18:02 +0000

Hi Jun,

Thanks for your comments.
I think the description is indeed confusing.
IMO, there is only one micro session create command sent to the reflector.
So that the reflector can behave for all the micro session tests.
And no need to build an association between the session and the member link.
Is that reasonable?

Best,
Tianran
From: [email-masked] [mailto:[email-masked]]
Sent: Thursday, February 10, 2022 3:42 PM
To: Tianran Zhou <[email-masked]>
Cc: [email-masked]
Subject: Re:[ippm] FW: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt

Hi Tianran,

郭俊

软件平台南京开发三部/有线研究院/有线产品经营部

中兴通讯股份有限公司

E: [email-masked]<mailto:[email-masked]>

原始邮件
发件人：TianranZhou
收件人：IETF IPPM WG ([email-masked]<mailto:[email-masked]>);
日 期 ：2022年01月24日 14:23
主 题 ：[ippm] FW: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt
Hi WG,

Cheers,
Tianran

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]
Sent: Monday, January 24, 2022 2:17 PM
To: Greg Mirsky <[email-masked]<mailto:[email-masked]>>; Guo Jun <[email-masked]<mailto:[email-masked]>>; Jun Guo <[email-masked]<mailto:[email-masked]>>; Rakesh Gandhi <[email-masked]<mailto:[email-masked]>>; Tianran Zhou <[email-masked]<mailto:[email-masked]>>; Zhenqiang Li <[email-masked]<mailto:[email-masked]>>
Subject: New Version Notification for draft-li-ippm-otwamp-on-lag-02.txt

Abstract:

The IETF Secretariat

_______________________________________________
ippm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ippm